## org.hibernate.metamodel.source.annotations.attribute.type
Class CompositeAttributeTypeResolver

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.type.CompositeAttributeTypeResolver

All Implemented Interfaces:
  AttributeTypeResolver

    public class CompositeAttributeTypeResolver

extends Object
implements AttributeTypeResolver

Constructor Summary
`CompositeAttributeTypeResolver(AttributeTypeResolverImpl explicitHibernateTypeResolver)`

Method Summary
`void` `addHibernateTypeResolver(AttributeTypeResolver resolver)`
`String` `getExplicitHibernateTypeName()`
`Map<String,String>` `getExplicitHibernateTypeParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeAttributeTypeResolver

    public CompositeAttributeTypeResolver(AttributeTypeResolverImpl explicitHibernateTypeResolver)

Method Detail

### addHibernateTypeResolver

    public void addHibernateTypeResolver(AttributeTypeResolver resolver)

### getExplicitHibernateTypeName

    public String getExplicitHibernateTypeName()

  Specified by:
    `getExplicitHibernateTypeName` in interface `AttributeTypeResolver`
  Returns:
    returns an explicit hibernate type name in case the mapped attribute has an additional `Type` annotation or an implicit type is given via the use of annotations like `Lob`, `Enumerated` and `Temporal`.

### getExplicitHibernateTypeParameters

    public Map<String,String> getExplicitHibernateTypeParameters()

  Specified by:
    `getExplicitHibernateTypeParameters` in interface `AttributeTypeResolver`
  Returns:
    Returns a map of optional type parameters. See `AttributeTypeResolver.getExplicitHibernateTypeName()`.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.